Subject: Re: [PATCH 1/3] IB/ehca: Replace vmalloc with kmalloc

From: Roland Dreier <[email-masked]>
Date: Tue, 21 Apr 2009 10:34:30 -0700

> +	queue->queue_pages = kmalloc(nr_of_pages * sizeof(void *), GFP_KERNEL);

How big might this buffer be?  Any chance of allocation failure due to
memory fragmentation?

 - R.